package com.hai.dao;

import com.hai.entity.HighActivityAwardActualPrize;
import com.hai.entity.HighActivityAwardActualPrizeExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighActivityAwardActualPrizeMapper extends HighActivityAwardActualPrizeMapperExt {
    @SelectProvider(type=HighActivityAwardActualPrizeSqlProvider.class, method="countByExample")
    long countByExample(HighActivityAwardActualPrizeExample example);

    @DeleteProvider(type=HighActivityAwardActualPrizeSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighActivityAwardActualPrizeExample example);

    @Delete({
        "delete from high_activity_award_actual_prize",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_activity_award_actual_prize (activity_award_prize_id, activity_award_serial_num_id, ",
        "actual_prize_type, actual_prize_id, ",
        "`status`, create_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{activityAwardPrizeId,jdbcType=BIGINT}, #{activityAwardSerialNumId,jdbcType=BIGINT}, ",
        "#{actualPrizeType,jdbcType=INTEGER}, #{actualPrizeId,jdbcType=BIGINT}, ",
        "#{status,jdbcType=INTEGER}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighActivityAwardActualPrize record);

    @InsertProvider(type=HighActivityAwardActualPrizeSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighActivityAwardActualPrize record);

    @SelectProvider(type=HighActivityAwardActualPrizeSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="activity_award_prize_id", property="activityAwardPrizeId", jdbcType=JdbcType.BIGINT),
        @Result(column="activity_award_serial_num_id", property="activityAwardSerialNumId", jdbcType=JdbcType.BIGINT),
        @Result(column="actual_prize_type", property="actualPrizeType", jdbcType=JdbcType.INTEGER),
        @Result(column="actual_prize_id", property="actualPrizeId", jdbcType=JdbcType.BIGINT),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighActivityAwardActualPrize> selectByExample(HighActivityAwardActualPrizeExample example);

    @Select({
        "select",
        "id, activity_award_prize_id, activity_award_serial_num_id, actual_prize_type, ",
        "actual_prize_id, `status`, create_time, ext_1, ext_2, ext_3",
        "from high_activity_award_actual_prize",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="activity_award_prize_id", property="activityAwardPrizeId", jdbcType=JdbcType.BIGINT),
        @Result(column="activity_award_serial_num_id", property="activityAwardSerialNumId", jdbcType=JdbcType.BIGINT),
        @Result(column="actual_prize_type", property="actualPrizeType", jdbcType=JdbcType.INTEGER),
        @Result(column="actual_prize_id", property="actualPrizeId", jdbcType=JdbcType.BIGINT),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighActivityAwardActualPrize selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighActivityAwardActualPrizeSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighActivityAwardActualPrize record, @Param("example") HighActivityAwardActualPrizeExample example);

    @UpdateProvider(type=HighActivityAwardActualPrizeSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighActivityAwardActualPrize record, @Param("example") HighActivityAwardActualPrizeExample example);

    @UpdateProvider(type=HighActivityAwardActualPrizeSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighActivityAwardActualPrize record);

    @Update({
        "update high_activity_award_actual_prize",
        "set activity_award_prize_id = #{activityAwardPrizeId,jdbcType=BIGINT},",
          "activity_award_serial_num_id = #{activityAwardSerialNumId,jdbcType=BIGINT},",
          "actual_prize_type = #{actualPrizeType,jdbcType=INTEGER},",
          "actual_prize_id = #{actualPrizeId,jdbcType=BIGINT},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighActivityAwardActualPrize record);
}