package com.hai.dao;

import com.hai.entity.HighDiscountPackageDeliverUser;
import com.hai.entity.HighDiscountPackageDeliverUserExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighDiscountPackageDeliverUserMapper extends HighDiscountPackageDeliverUserMapperExt {
    @SelectProvider(type=HighDiscountPackageDeliverUserSqlProvider.class, method="countByExample")
    long countByExample(HighDiscountPackageDeliverUserExample example);

    @DeleteProvider(type=HighDiscountPackageDeliverUserSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighDiscountPackageDeliverUserExample example);

    @Delete({
        "delete from high_discount_package_deliver_user",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_discount_package_deliver_user (package_deliver_id, serial_number, ",
        "package_id, package_name, ",
        "package_actual_id, user_id, ",
        "user_phone, `status`, ",
        "create_time, op_user_id, ",
        "op_user_name, ext_1, ",
        "ext_2, ext_3)",
        "values (#{packageDeliverId,jdbcType=BIGINT}, #{serialNumber,jdbcType=VARCHAR}, ",
        "#{packageId,jdbcType=BIGINT}, #{packageName,jdbcType=VARCHAR}, ",
        "#{packageActualId,jdbcType=BIGINT}, #{userId,jdbcType=BIGINT}, ",
        "#{userPhone,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{opUserId,jdbcType=BIGINT}, ",
        "#{opUserName,jdbcType=VARCHAR}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighDiscountPackageDeliverUser record);

    @InsertProvider(type=HighDiscountPackageDeliverUserSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighDiscountPackageDeliverUser record);

    @SelectProvider(type=HighDiscountPackageDeliverUserSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="package_deliver_id", property="packageDeliverId", jdbcType=JdbcType.BIGINT),
        @Result(column="serial_number", property="serialNumber", jdbcType=JdbcType.VARCHAR),
        @Result(column="package_id", property="packageId", jdbcType=JdbcType.BIGINT),
        @Result(column="package_name", property="packageName", jdbcType=JdbcType.VARCHAR),
        @Result(column="package_actual_id", property="packageActualId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_phone", property="userPhone", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighDiscountPackageDeliverUser> selectByExample(HighDiscountPackageDeliverUserExample example);

    @Select({
        "select",
        "id, package_deliver_id, serial_number, package_id, package_name, package_actual_id, ",
        "user_id, user_phone, `status`, create_time, op_user_id, op_user_name, ext_1, ",
        "ext_2, ext_3",
        "from high_discount_package_deliver_user",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="package_deliver_id", property="packageDeliverId", jdbcType=JdbcType.BIGINT),
        @Result(column="serial_number", property="serialNumber", jdbcType=JdbcType.VARCHAR),
        @Result(column="package_id", property="packageId", jdbcType=JdbcType.BIGINT),
        @Result(column="package_name", property="packageName", jdbcType=JdbcType.VARCHAR),
        @Result(column="package_actual_id", property="packageActualId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_phone", property="userPhone", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighDiscountPackageDeliverUser selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighDiscountPackageDeliverUserSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighDiscountPackageDeliverUser record, @Param("example") HighDiscountPackageDeliverUserExample example);

    @UpdateProvider(type=HighDiscountPackageDeliverUserSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighDiscountPackageDeliverUser record, @Param("example") HighDiscountPackageDeliverUserExample example);

    @UpdateProvider(type=HighDiscountPackageDeliverUserSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighDiscountPackageDeliverUser record);

    @Update({
        "update high_discount_package_deliver_user",
        "set package_deliver_id = #{packageDeliverId,jdbcType=BIGINT},",
          "serial_number = #{serialNumber,jdbcType=VARCHAR},",
          "package_id = #{packageId,jdbcType=BIGINT},",
          "package_name = #{packageName,jdbcType=VARCHAR},",
          "package_actual_id = #{packageActualId,jdbcType=BIGINT},",
          "user_id = #{userId,jdbcType=BIGINT},",
          "user_phone = #{userPhone,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "op_user_id = #{opUserId,jdbcType=BIGINT},",
          "op_user_name = #{opUserName,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighDiscountPackageDeliverUser record);
}