package com.hai.order.model;

import io.swagger.models.auth.In;
import lombok.Data;
import java.math.BigDecimal;

/**
 * 创建子订单参数模型
 * @className: CreateOrderModel
 * @author: HuRui
 * @date: 2022/8/16
 **/
@Data
public class CreateOrderChildModel {

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long memId;

    /**
     * 用户名称
     */
    private String memName;

    /**
     * 用户手机号
     */
    private String memPhone;

    /**
     * 产品类型
     */
    private Integer goodsType;

    /**
     * 产品Id
     */
    private Long goodsId;

    /**
     * 产品价格
     */
    private BigDecimal goodsPrice;

    /**
     * 商品数量
     */
    private Integer saleCount;

    /**
     * 门店Id
     */
    private Long storeId;

    /**
     * 公司ID
     */
    private Long companyId;


    /** ======================= 油站所需参数 ======================== **/
    // 加油员code
    private String gasStaffCode;
    // 油号
    private String gasOilNo;
    // 枪号
    private String gasGunNo;
    // 代理商价格
    private Boolean isTyAgent;
    /** ======================= 油站所需参数 ======================== **/


    /** ======================= 肯德基，星巴克，会员充值所需参数 ======================== **/
    // 下单电话
    private String customerMobile;
     // 产品类型 1：星巴克 2：肯德基 3：会员充值
    private Integer productType;
    // 平台id 1：小程序 2：H5 3：银联
    private Integer platformId;
    /** ======================= 肯德基，星巴克，会员充值所需参数 ======================== **/

    /** ======================= 话费充值所需参数 ======================== **/
    // 充值内容
    private String rechargeContent;
    /** ======================= 话费充值所需参数 ======================== **/

}
