package com.hai.order.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 积分充值订单模型
 * @className: OrderCouponModel
 * @author: HuRui
 * @date: 2022/9/30
 **/
@Data
public class OrderIntegralRechargeModel {

    @ColumnWidth(25)
    @ExcelProperty(value = "交易订单号")
    private String orderNo;

    @ColumnWidth(15)
    @ExcelProperty(value = "客户电话")
    private String memPhone;

    @ColumnWidth(15)
    @ExcelProperty(value = "充值积分")
    private Integer goodsPrice;

    @ColumnWidth(13)
    @ExcelProperty(value = "订单总额")
    private BigDecimal totalPrice;

    @ColumnWidth(13)
    @ExcelProperty(value = "优惠价格")
    private BigDecimal deductionPrice;

    @ColumnWidth(13)
    @ExcelProperty(value = "应付金额")
    private BigDecimal payablePrice;

    @ColumnWidth(13)
    @ExcelProperty(value = "实付金额")
    private BigDecimal payPrice;

    @ColumnWidth(13)
    @ExcelProperty(value = "支付方式")
    private String payType;

    @ColumnWidth(13)
    @ExcelProperty(value = "订单状态")
    private String orderStatus;

    @ColumnWidth(20)
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    @ColumnWidth(20)
    @ExcelProperty(value = "支付时间")
    private Date payTime;

}
