package com.hai.order.service;

import com.hai.entity.HighChildOrder;
import com.hai.entity.HighOrder;
import com.hai.entity.HighOrderRefund;

import java.util.List;
import java.util.Map;

/**
 * 订单退款业务
 * @className: OrderRefundService
 * @author: HuRui
 * @date: 2022/9/1
 **/
public interface OrderRefundService {

    /**
     * 交易订单退款
     * @param order     交易订单
     * @param remarks   退款备注
     */
    HighOrder createOrderRefund(HighOrder order, String remarks) throws Exception;

    /**
     * 子订单退款
     * @param orderChild          子订单
     * @param refundGoodsCount   退款商品数量
     * @param remarks            退款备注
     */
    HighOrderRefund createOrderChildRefund(HighChildOrder orderChild, String refundNo, Integer refundGoodsCount, String remarks) throws Exception;

    /**
     * 获取退款订单列表
     * @param param
     * @return
     */
    List<HighOrderRefund> getRefundOrderList(Map<String, Object> param);


}
